<template>
    <BudgetViewTable
        v-if="view.viewType == viewTypes.TABLE"
        :view="view"
        :editMode="editMode"/>
    <BudgetViewTree
        v-if="view.viewType == viewTypes.TREE"
        :view="view"
        :editMode="editMode"/>
    <BudgetViewGraph
        v-if="view.viewType == viewTypes.GRAPH"
        :view="view"/>
</template>

<script>
    import BudgetViewGraph from './BudgetViewGraph'
    import BudgetViewTable from './BudgetViewTable'
    import BudgetViewTree from './BudgetViewTree'
    import { viewTypes } from '@/services/values'

    export default {
        name: 'BudgetViewCard',
        components: {
            BudgetViewGraph,
            BudgetViewTable,
            BudgetViewTree
        },
        props: {
            view: Object,
            editMode: Boolean
        },
        data() {
            return {
                viewTypes: viewTypes
            }
        }
    }
</script>
